repo/gentoo:master commit in: dev-python/blessed/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786169232.25381fee1afc5c05a608d910ba1b567c3cbd45fd.mgorny@gentoo> |
commit: 25381fee1afc5c05a608d910ba1b567c3cbd45fd
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 8 05:23:43 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 8 06:07:12 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25381fee
dev-python/blessed: Bump to 1.48.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/blessed/Manifest | 1 +
dev-python/blessed/blessed-1.48.0.ebuild | 57 ++++++++++++++++++++++++++++++++
2 files changed, 58 insertions(+)
diff --git a/dev-python/blessed/Manifest b/dev-python/blessed/Manifest
index 72428594435b..32b047f4e4c9 100644
--- a/dev-python/blessed/Manifest
+++ b/dev-python/blessed/Manifest
@@ -1,3 +1,4 @@
DIST blessed-1.45.0.tar.gz 14032801 BLAKE2B 65575ba3075fddf46068b9c6c8c476592d3d3d2e28ce6f62ed50d15dc10e7aa9e7c1a000c826a70a0384efaafbfd56fb8dddae39ad72498a2708870ac70fc2b5 SHA512 cb0731d4713a729c53d7e3d79ee03fc4e4ffc96e74f13fcb9b36ce9e365baf8ea05e450798c126647b59ee132e8be6322061a69dd6cd987349ce7e339b4961be
DIST blessed-1.46.0.tar.gz 14034378 BLAKE2B cd2dd5581b25da1e2566b36b1fe8f110887e7c2f6ed8ec9ca810918343a4b4b4f34256758bbd7df8d984539a4cc4f12ad2d7e2c742590747db5e2d4a0fa34435 SHA512 fe4e3a70c81fbc06e0184482748584829d14cad29029f698edbf638225a9ad03b2a7d3b91cb10ccca0e55008d688d003ee01dad134b57914e39df23841e23baa
DIST blessed-1.47.0.tar.gz 14035743 BLAKE2B b6aeab48f2f1188598507c1ec11ff16837e9f49bc097f659e2fbee285bbb1acda59c058fabab4a9a390655821c2a9e9478056a76e1536b6370dede0ed31cef54 SHA512 887aa6ea815ab49b56b876d252f2cec8c2ddc266a8801e8d7b53e0f94c49ecc6a70e1c9f69d91d0aba02acf686c922c290aaa29b3f6c5e89f092bfcb570863d6
+DIST blessed-1.48.0.tar.gz 14036135 BLAKE2B e1a62915b81d77e4224db3fc1fb0b0a3d35877f09eaa4cfe0891787bd41ef6b5eb26c85dbfbd7fdbdc92e365c6674cbe45709e88bc0efc9591d41f10a34aca77 SHA512 24165346feb391cfbff335f32131b4475c4126f2538b257597970f9efbd04b9915aa9d9162e8e4e0f1c32923cd2a2e45c8705f27be21676e8c2e53e8a59e83cc
diff --git a/dev-python/blessed/blessed-1.48.0.ebuild b/dev-python/blessed/blessed-1.48.0.ebuild
new file mode 100644
index 000000000000..2c5e85413306
--- /dev/null
+++ b/dev-python/blessed/blessed-1.48.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit-core
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Library for making terminal apps using colors, keyboard input and positioning"
+HOMEPAGE="
+ https://github.com/jquast/blessed/
+ https://pypi.org/project/blessed/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jinxed-2.1[${PYTHON_USEDEP}]
+ >=dev-python/wcwidth-0.8.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs dev-python/sphinx-rtd-theme
+
+EPYTEST_PLUGINS=()
+# tests are flaky with xdist
+distutils_enable_tests pytest
+
+# README.rst is a symlink to docs/
+DOCS=()
+
+python_prepare_all() {
+ # Skip those extensions as they don't have a Gentoo package
+ # Remove calls to scripts that generate rst files because they
+ # are not present in the tarball
+ sed -e '/sphinxcontrib.manpage/d' -e '/sphinx_paramlinks/d' \
+ -e '/^for script in/,/runpy.run_path/d' \
+ -i docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # fragile to timing
+ tests/test_sixel.py::test_sixel_height_and_width_fallback_to_xtwinops
+ tests/test_sixel.py::test_fast_path_with_caches_populated
+ )
+
+ # COLORTERM must not be truecolor
+ # See https://github.com/jquast/blessed/issues/162
+ local -x COLORTERM=
+ # Ignore coverage options
+ epytest --override-ini="addopts="
+}